print("this is called when the JD8530 is loaded");

modClassEventListener = {};

function modClassEventListener:loadMap(name)
    self.loadedMap = name;
    print("map " .. self.loadedMap .. " was loaded");
end;

function modClassEventListener:deleteMap()
    print("map " .. self.loadedMap .. " was deleted");
end;

function modClassEventListener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function modClassEventListener:keyEvent(unicode, sym, modifier, isDown)
end;

function modClassEventListener:update(dt)
end;

function modClassEventListener:draw()
end;


addModEventListener(modClassEventListener);